package Amethyst::Brain::CNN;

use strict;
use vars qw(@ISA);
use URI;
use Amethyst::Brain;
use Amethyst::Message;

@ISA = qw(Amethyst::Brain);

sub init {
	my $self = shift;
	$self->{Content} = '';
}

sub think {
	my $self = shift;
	my $message = shift;

	my $content = $message->content;

#	if ($content !~ /[\.?!]\s*$/) {
#		$self->{Content} .= ' ' . $content;
#		return;
#	}
#
#	$content = lc $self->{Content} . ' ' . $content;
#	$self->{Content} = '';

	# $content =~ s/\b(\w)\b/\u$1/g;
	$content = lc $content;
	$content =~ s/\s+/ /g;
	$content =~ s/^ //;
	$content =~ s/ $//;
	$content =~ s/([\.:\->]) ([a-z])/$1 \U$2/g;

	local *::output = $self->{Output};

	foreach my $connection (keys %::output) {
		my $reply = new Amethyst::Message(
						Connection	=> $connection,
						Channel		=> $::output{$connection},
						User		=> 'Amethyst',
						Action		=> ACT_SAY,
						Content		=> $content,
							);
		$reply->send;
	}

	return undef;
}

1;
